<?php

namespace Drupal\editoria11y;

use Drupal\Core\Database\Connection;
use Drupal\Core\Database\StatementInterface;

/**
 * Handles database calls for DashboardController
 */
class DismissalsOnPage
{

  /**
   * @var \Drupal\Core\Database\Connection $database
   */
    protected $database;

  /**
   * Constructs a new connection object.
   * @param \Drupal\Core\Database\Connection $connection
   */
    public function __construct(Connection $connection)
    {
        $this->database = $connection;
    }

  /**
   * @param $page_path
   *
   * @return \Drupal\Core\Database\StatementInterface|null
   */
    public function getDismissals($page_path)
    {

        $query = $this->database->select('editoria11y_dismissals')
        ->fields('editoria11y_dismissals', ['uid','result_key','element_id','dismissal_status','page_path'])
        ->condition('page_path', $page_path)
        ;
        return $query->execute();
    }
}
