<?php

namespace Drupal\editoria11y\Form;

use Drupal\Core\Cache\Cache;
use Drupal\Core\Form\FormBase;
use Drupal\Core\Form\FormStateInterface;
use Drupal\Core\Url;
use Drupal\Editoria11y\Dashboard;

/**
 * Class DashboardFilters.
 * CURRENTLY DISABLED; CAN DELETE IF NO FILTERS ARE NEEDED
 */
class DashboardFilters extends FormBase
{

  /**
   * {@inheritdoc}
   */
    public function getFormId()
    {
        return 'editoria11y_form_dashboard';
    }

  /**
   * {@inheritdoc}
   */
    public function buildForm(array $form, FormStateInterface $form_state)
    {
      // todo: xss filtering and validation
        $result_service = \Drupal::service('editoria11y.dashboard');
        $results = $result_service->getIssueNames();
        $options = [false => "Select..."];
        foreach ($results as $result) {
            $options[$result->result_name] = $result->result_name;
        }
        $form['filters'] = [
        '#type'  => 'fieldset',
        '#title' => $this->t('Filter'),
        '#open'  => true,
        ];

        $form['filters']['test'] = [
        '#title'         => 'Test',
        '#type'          => 'select',
         '#options' => $options,
        ];/*
        $form['filters']['marks'] = [
        '#title'         => 'Marks',
        '#type'          => 'search'
        ];*/
        $form['filters']['actions'] = [
        '#type'       => 'actions'
        ];

        $form['filters']['actions']['submit'] = [
        '#type'  => 'submit',
        '#value' => $this->t('Filter')

        ];

        return $form;
    }

  /**
   * {@inheritdoc}
   */
    public function validateForm(array &$form, FormStateInterface $form_state)
    {
        /*if ($form_state->getValue('fname') == "") {
            $form_state->setErrorByName('from', $this->t('You must enter a valid first name.'));
        } elseif ($form_state->getValue('marks') == "") {
            $form_state->setErrorByName('marks', $this->t('You must enter a valid to marks.'));
        }*/
    }
  /**
   * {@inheritdoc}
   */
    public function submitForm(array &$form, FormStateInterface $form_state)
    {
        $field = $form_state->getValues();
        $test = $field["tests"];
        $url = Url::fromRoute('editoria11y.reports_dashboard')
        ->setRouteParameter('test', $test);
        $form_state->setRedirectUrl($url);
    }

}
