<?php

namespace Drupal\Tests\editoria11y\Kernel;

use Drupal\KernelTests\KernelTestBase;
use Drupal\node\Entity\NodeType;
use Drupal\Tests\content_moderation\Traits\ContentModerationTestTrait;
use Drupal\Tests\node\Traits\NodeCreationTrait;
use Drupal\Tests\user\Traits\UserCreationTrait;

/**
 * Tests with node access enabled.
 *
 * @group content_moderation
 */
class SchemaTest extends KernelTestBase {

  /**
   * {@inheritdoc}
   */
  protected static $modules = [
    'editoria11y',
  ];

  /**
   * {@inheritdoc}
   */
  protected function setUp(): void {
    parent::setUp();

    $this->installSchema('editoria11y', ['editoria11y_dismissals']);
  }

  /**
   * A simple test to confirm the schema has been successfully installed.
   */
  public function testConfirmSchema(){
    try {
      $database = \Drupal::database();
      $query = $database->select('editoria11y_dismissals', 'efd')
        ->fields("efd", ["uid"]);
      $query->execute();
      $this->assertTrue(true);
    } catch (\Exception $e) {
      $this->fail("Exception thrown testing for schema presence: {$e->getMessage()}");
    }
  }

}
